#!/usr/local/bin/bash
#
# Copyright (C) 2004 SIPfoundry Inc.
# Licensed by SIPfoundry under the LGPL license.
#
# Copyright (C) 2004 Pingtel Corp.
# Licensed to SIPfoundry under a Contributor Agreement.

Action=RUN
Status=0
Args=""

while [ $# -ne 0 ]
do
    case ${1} in
        --configtest)
            Action=CONFIGTEST
            ;;

        *)
            Args="$Args $1"
            ;;
    esac           

    shift # always consume 1
done

case ${Action} in
   RUN)
     echo $$ > /var/run/sipxpbx/keepalive.pid
     exec /usr/local/bin/sipdbtest keepalive processinfo $Args
     ;;

   CONFIGTEST)
     Status=0

     #/usr/local/bin/sipx-validate-xml /usr/local/etc/sipxpbx/?.xml
     #Status=$(($Status+$?))

     # Check that the log file is writable.
     logfile="/var/log/sipxpbx/dbmonitor.log"
     if [ -e $logfile -a ! -w $logfile ]
     then
	 echo "Log file '$logfile' exists but is not writable by user 'sipx'." >&2
	 Status=1
     fi

     # Check that the log file is writable.
     logfile="/var/log/sipxpbx/watchdog.log"
     if [ -e $logfile -a ! -w $logfile ]
     then
	 echo "Log file '$logfile' exists but is not writable by user 'sipx'." >&2
	 Status=1
     fi

     ;;
esac

exit $Status


